unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DBGrids, DB, DBTables, StdCtrls,
  DbiTypes, DbiProcs, Dbsearch, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    DBGrid1: TDBGrid;
    dbSearch1: TdbSearch;
    Panel2: TPanel;
    MainMenu1: TMainMenu;
    Edit1: TMenuItem;
    Findfirst1: TMenuItem;
    Findnext1: TMenuItem;
    File1: TMenuItem;
    Close1: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FindClick(Sender: TObject);
    procedure NextClick(Sender: TObject);
    procedure Close1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  RecCount : Longint;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
   RecCount:=Table1.RecordCount;
   ShowMessage('Records in table: ' + InttoStr(RecCount));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  if Table1.Active = False then
     Table1.Active := True;
end;

procedure TForm1.FindClick(Sender: TObject);
var cTest:string;
begin
   dbSearch1.DefSearchField:=DBGrid1.SelectedField.FieldName;
   DBSearch1.Locate;
end;

procedure TForm1.NextClick(Sender: TObject);
begin
   DBSearch1.LocateNext;
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
Close;
end;

end.
